L'équipe Vigil@nce veille les vulnérabilités publiques qui affectent votre parc informatique, puis propose des correctifs sécurité, une base de données de vigilance et des outils pour y remédier.

Vulnérabilité de Oracle MySQL : vulnérabilités de juillet 2019

Synthèse de la vulnérabilité 

Plusieurs vulnérabilités ont été annoncées dans les produits Oracle.
Systèmes impactés : Fedora, IBM API Connect, MariaDB ~ précis, MySQL Community, MySQL Enterprise, SnapCenter Backup Management, openSUSE Leap, Solaris, Percona Server, RHEL, Slackware, SUSE Linux Enterprise Desktop, SLES, Ubuntu.
Gravité de cette alerte : 3/4.
Nombre de vulnérabilités dans ce bulletin : 42.
Date de création : 17/07/2019.
Références de cette alerte : 2310885, 6129219, bulletinoct2019, CERTFR-2019-AVI-341, cpujul2019, CVE-2019-2730, CVE-2019-2731, CVE-2019-2737, CVE-2019-2738, CVE-2019-2739, CVE-2019-2740, CVE-2019-2741, CVE-2019-2743, CVE-2019-2746, CVE-2019-2747, CVE-2019-2752, CVE-2019-2755, CVE-2019-2757, CVE-2019-2758, CVE-2019-2774, CVE-2019-2778, CVE-2019-2780, CVE-2019-2784, CVE-2019-2785, CVE-2019-2789, CVE-2019-2791, CVE-2019-2795, CVE-2019-2796, CVE-2019-2797, CVE-2019-2798, CVE-2019-2800, CVE-2019-2801, CVE-2019-2802, CVE-2019-2803, CVE-2019-2805, CVE-2019-2808, CVE-2019-2810, CVE-2019-2811, CVE-2019-2812, CVE-2019-2814, CVE-2019-2815, CVE-2019-2819, CVE-2019-2822, CVE-2019-2826, CVE-2019-2830, CVE-2019-2834, CVE-2019-2879, FEDORA-2019-60befaed69, FEDORA-2019-c106e46a95, NTAP-20190719-0004, openSUSE-SU-2019:2698-1, RHSA-2019:2484-01, RHSA-2019:2511-01, RHSA-2019:3708-01, RHSA-2020:1100-01, SSA:2019-213-01, SUSE-SU-2019:2687-1, SUSE-SU-2019:3306-1, SUSE-SU-2019:3369-1, USN-4070-1, USN-4070-2, USN-4070-3, VIGILANCE-VUL-29795.

Description de la vulnérabilité 

Plusieurs vulnérabilités ont été annoncées dans les produits Oracle.
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Cette faille concerne les logiciels ou systèmes comme Fedora, IBM API Connect, MariaDB ~ précis, MySQL Community, MySQL Enterprise, SnapCenter Backup Management, openSUSE Leap, Solaris, Percona Server, RHEL, Slackware, SUSE Linux Enterprise Desktop, SLES, Ubuntu.

Notre équipe Vigil@nce a déterminé que la gravité de cette vulnérabilité cyber-sécurité est important.

Le niveau de confiance est de type confirmé par l'éditeur, avec une provenance de client intranet.

Ce bulletin concerne 42 vulnérabilités.

Un attaquant avec un niveau de compétence expert peut exploiter cette alerte cybersécurité.

Solutions pour cette menace 

MySQL : version 8.0.17.
La version 8.0.17 est corrigée :
  https://support.oracle.com/rs?type=doc&id=2559865.1
  https://dev.mysql.com/downloads/
  https://www.mysql.com/fr/

MySQL : version 5.7.27.
La version 5.7.27 est corrigée :
  https://support.oracle.com/rs?type=doc&id=2559865.1
  https://dev.mysql.com/downloads/
  https://www.mysql.com/fr/

MySQL : version 5.6.45.
La version 5.6.45 est corrigée :
  https://support.oracle.com/rs?type=doc&id=2559865.1
  https://dev.mysql.com/downloads/
  https://www.mysql.com/fr/

MariaDB : version 10.4.7.
La version 10.4.7 est corrigée :
  https://downloads.mariadb.org/mariadb/10.4.7

MariaDB : version 10.3.17.
La version 10.3.17 est corrigée :
  https://downloads.mariadb.org/mariadb/10.3.17

MariaDB : version 10.2.26.
La version 10.2.26 est corrigée :
  https://downloads.mariadb.org/mariadb/10.2.26

MariaDB : version 10.1.41.
La version 10.1.41 est corrigée :
  https://downloads.mariadb.org/mariadb/10.1.41

MariaDB : version 5.5.65.
La version 5.5.65 est corrigée :
  https://downloads.mariadb.org/mariadb/5.5.65

Cloud Foundry Deployment : version 12.12.0.
La version 12.12.0 est corrigée :
  https://www.cloudfoundry.org/

Fedora 30 : nouveaux paquetages community-mysql.
De nouveaux paquetages sont disponibles :
  Fedora 30 : community-mysql 8.0.17-2.fc30

Fedora 30 : nouveaux paquetages mariadb.
De nouveaux paquetages sont disponibles :
  Fedora 30 : mariadb 10.3.17-1.fc30

IBM API Connect : patch pour MySQL.
Un patch est indiqué dans les sources d'information.

NetApp SnapCenter : solution pour MySQL.
La solution est indiquée dans les sources d'information.

openSUSE Leap 15.1 : nouveaux paquetages mariadb.
De nouveaux paquetages sont disponibles :
  openSUSE Leap 15.1 : mariadb 10.2.29-lp151.2.9.1

Oracle Solaris : patch pour logiciels tiers de octobre 2019 v1.
Un patch est disponible :
  https://support.oracle.com/rs?type=doc&id=1448883.1

Percona Server : version 5.6.45-86.1.
La version 5.6.45-86.1 est corrigée :
  https://www.percona.com/

Percona Server : version 5.7.27-30.
La version 5.7.27-30 est corrigée :
  https://www.percona.com/

Percona Server : version 8.0.17-8.
La version 8.0.17-8 est corrigée :
  https://www.percona.com/

Percona XtraDB Cluster : version 5.6.45-28.36.
La version 5.6.45-28.36 est corrigée :
  https://www.percona.com/

Percona XtraDB Cluster : version 5.7.27-31.39.
La version 5.7.27-31.39 est corrigée :
  https://www.percona.com/

RHEL 7 : nouveaux paquetages mariadb.
De nouveaux paquetages sont disponibles :
  RHEL 7.0-7.7 : mariadb 5.5.65-1.el7

RHEL 7 : nouveaux paquetages rh-mysql80-mysql.
De nouveaux paquetages sont disponibles :
  RHEL 7 : rh-mysql80-mysql 8.0.17-1.el7

RHEL 8 : nouveau module mariadb-10.3.
Le module suivant est mis à jour :
  RHEL 8 Module : mariadb:10.3

RHEL 8 : nouveau module mysql-8.0.
Le module suivant est mis à jour :
  RHEL 8 Module : mysql:8.0

Slackware 14.1 : nouveaux paquetages mariadb.
De nouveaux paquetages sont disponibles :
  Slackware 14.1 : mariadb 5.5.65-*-1_slack14.1

SUSE LE 12 SP4/5 : nouveaux paquetages mariadb.
De nouveaux paquetages sont disponibles :
  SUSE LE 12 SP4 : mariadb 10.2.29-3.22.1
  SUSE LE 12 SP5 : mariadb 10.2.29-3.22.1

SUSE LE 12 SP4 : nouveaux paquetages mariadb-100.
De nouveaux paquetages sont disponibles :
  SUSE LE 12 SP4 : mariadb-100 10.0.40.1-2.9.1

SUSE LE 15 : nouveaux paquetages mariadb.
De nouveaux paquetages sont disponibles :
  SUSE LE 15 RTM : mariadb 10.2.29-3.23.1
  SUSE LE 15 SP1 : mariadb 10.2.29-3.23.1

Ubuntu : nouveaux paquetages mariadb.
De nouveaux paquetages sont disponibles :
  Ubuntu 18.04 LTS : mariadb 1:10.1.41-0ubuntu0.18.04.1
  Ubuntu 19.04 : mariadb 1:10.3.17-0ubuntu0.19.04.1

Ubuntu : nouveaux paquetages mysql-server-5.7.
De nouveaux paquetages sont disponibles :
  Ubuntu 19.04 : mysql-server-5.7 5.7.27-0ubuntu0.19.04.1
  Ubuntu 18.04 LTS : mysql-server-5.7 5.7.27-0ubuntu0.18.04.1
  Ubuntu 16.04 LTS : mysql-server-5.7 5.7.27-0ubuntu0.16.04.1

Wind River Linux : version 10.17.41.19.
La version 10.17.41.19 est corrigée.

Wind River Linux : version 10.18.44.12.
La version 10.18.44.12 est corrigée :
  https://support2.windriver.com/
Bulletin complet, filtrage par logiciel, emails, correctifs, ... (Demandez votre essai gratuit)

Service de veille sur les vulnérabilités informatiques 

Vigil@nce fournit des annonces de vulnérabilité de logiciel. La veille sécurité Vigil@nce publie des bulletins de vulnérabilités pour les failles qui impactent le système d'information.